Album: Someday
Directory: someday-marcy-nabors
Date: December 20, 2010
Date Added: July 14, 2025
Artists:
- Marcy Nabors
Cover Artists:
- Lunise
Wallpaper Artists:
- Lunise
- Jebb (edits for wiki)
Cover Art File Extension: png
Wallpaper File Extension: png
URLs:
- https://shadolith.bandcamp.com/track/someday
Color: '#a3bfce'
Groups:
- Marcy Nabors
- Beyond
Crediting Sources: |-
    <i>Marcy Nabors:</i> ([Bandcamp credits blurb](https://shadolith.bandcamp.com/track/someday))
    Album art by Lune at lunedraws.tumblr.com
---
Track: Someday
Directory: someday-marcy-nabors
Always Reference By Directory: true
Duration: 5:43
URLs:
- https://shadolith.bandcamp.com/track/someday